Content

API for managing languages and translations of Fynd Commerce

Custom Fields

Custom fields are a flexible way to attach additional information to a resource (e.g. Product, promotions, etc.). Some examples of data stored using customfields include specifications, size charts, downloadable documents, release dates, images, or part numbers. Custom fields are identified by an owner resource, a namespace, and a key and they store a value along with type information for that context.

Operations
GET
/service/platform/content/v1.0/company/{company_id}/metafields/types
# Get custom field types
GET
/service/platform/content/v1.0/company/{company_id}/metafields/resources
# Get resources
GET
/service/platform/content/v2.0/company/{company_id}/customfields/definition
# Get custom fields definitions
GET
/service/platform/content/v2.0/company/{company_id}/customfields/resource/{resource}/definition
# Get custom fields definitions for a given resource type
POST
/service/platform/content/v2.0/company/{company_id}/customfields/resource/{resource}/definition
# Create custom field definition for a given resource type
GET
/service/platform/content/v2.0/company/{company_id}/customfields/resource/{resource}/namespace/{namespace}/definition/{slug}
# Get custom fields definition by resource, slug and namespace
PUT
/service/platform/content/v2.0/company/{company_id}/customfields/resource/{resource}/namespace/{namespace}/definition/{slug}
# Update custom field definition
DEL
/service/platform/content/v2.0/company/{company_id}/customfields/resource/{resource}/namespace/{namespace}/definition/{slug}
# Delete custom fields definition
GET
/service/platform/content/v2.0/company/{company_id}/customfields/resource/{resource}/{resource_slug}
# Get list of custom fields of given resource and resource slug
PUT
/service/platform/content/v2.0/company/{company_id}/customfields/resource/{resource}/{resource_slug}
# Update custom field entries for gives resource and resource slug
DEL
/service/platform/content/v2.0/company/{company_id}/customfields/resource/{resource}/{resource_slug}
# delete custom fields of given resource and resource slug
GET

Get custom field types

Each custom field and custom field definition has a type, which defines the type of information that it can store. The custom field types have built-in validation. This api will give list of supported custom fields types
Parameters
company_idpath
integer
Required
This is company id
GET
/service/platform/content/v1.0/company/{company_id}/metafields/types
Loading...
Response
200
400
Success. Returns all custom field types.
Hide
response schema for all custom field types
metafield_types
object (CustomFieldTypeSchema)
Show
Response
Loading...
GET

Get resources

Use this API to retrieve the resources, such as products, collections, customers, selling locations, etc.
Parameters
company_idpath
integer
Required
This is company id
GET
/service/platform/content/v1.0/company/{company_id}/metafields/resources
Loading...
Response
200
Success. Returns a JSON object of resources. Refer `ResourcesSchema` for more details.
Hide
Custom fields Resources
resources
array of object (ResourceSchema)
Show
Response
Loading...
GET

Get custom fields definitions

Custom field definitions enable you to include data validation for custom fields, and enable sellers to add custom fields values for resources. With the help of this seller can retrive list of custom field definitions list.
Parameters
company_idpath
integer
Required
This is company id
page_noquery
string
Required
This is the page number
page_sizequery
string
Required
This is the page size
resourcesquery
string
This is the resource for which we are fetching definitions
typesquery
string
This is the type of the custom fields definitions
searchquery
string
This is the search text to filter custom fields definitions
slugsquery
string
This is the slug list to filter custom fields definitions, it will come comma separated
namespacesquery
string
This is the namespace list to filter custom fields definitions, it needs to be comma separated
GET
/service/platform/content/v2.0/company/{company_id}/customfields/definition
Loading...
Response
200
400
Success. Returns a list of custom fields definitions. Refer `CustomFieldDefinitionsSchema` for more details.
Hide
response schema of custom field definition
items
array of object (FieldDefinitionSchema)
list of custom field definitions
Show
page
object (Page)
Show
Response
Loading...
GET

Get custom fields definitions for a given resource type

Custom field definitions enable you to include data validation for custom fields, and enable sellers to add custom fields values for resources. With the help of this seller can retrive list of custom field definitions list.
Parameters
company_idpath
integer
Required
This is company id
page_noquery
string
Required
This is the page number
page_sizequery
string
Required
This is the page size
resourcepath
string
Required
This is the type of resource for which you want to fetch custom fields eg. product, collection, customer etc.
typesquery
string
This is the type of the custom fields definitions
searchquery
string
This is the search text to filter custom fields definitions
slugsquery
string
This is the slug list to filter custom fields definitions, it will come comma separated
namespacesquery
string
This is the namespace list to filter custom fields definitions, it needs to be comma separated
GET
/service/platform/content/v2.0/company/{company_id}/customfields/resource/{resource}/definition
Loading...
Response
200
400
Success. Returns a list of custom fields definitions. Refer `CustomFieldDefinitionsSchema` for more details.
Hide
response schema of custom field definition
items
array of object (FieldDefinitionSchema)
list of custom field definitions
Show
page
object (Page)
Show
Response
Loading...
POST

Create custom field definition for a given resource type

You can create custom fields definition to any resource so you can extend property of resource.
Parameters
company_idpath
integer
Required
This is company id
resourcepath
string
Required
This is the type of resource for which you want to fetch custom fields eg. product, collection, customer etc.
Request body
type
string
data type of custom field
slug
string
slug of custom field definition
namespace
string
namespace of custom field definition
multi_value
boolean
flag to denote whether custom field is multi valued or not
name
string
name of custom field definition
description
string
description of a custom field definition
validations
array of object (FieldValidations)
validations for a custom field
Show
POST
/service/platform/content/v2.0/company/{company_id}/customfields/resource/{resource}/definition
Loading...
Response
200
400
Custom field definition created.
Hide
response schema of custom field definition
resource
string
resource to which custom field is associated
name
string
name of custom field
namespace
string
namespace of custom field
slug
string
slug of custom field
description
string
description regarding custom field
type
string
data type of custom field
multi_value
boolean
flag to denote whether custom field is multi valued or not
company_id
string
| integer
Company Identifer
application_id
string
Sales channel identifier
required
boolean
whether the customfield is required or not
is_deleted
boolean
is custom field deleted
id
string
Unique system generated id
validations
array of Undefined Type
created_at
string
| date-time
date time at which field was created
updated_at
string
| date-time
date time at for a field's last modification
Response
Loading...
GET

Get custom fields definition by resource, slug and namespace

Custom field definitions can be retrived from this using its slug, namespace and resource
Parameters
company_idpath
integer
Required
This is company id
slugpath
string
Required
This is custom field definition slug
resourcepath
string
Required
This is the type of resource for which you want to fetch custom fields eg. product, collection, customer etc.
namespacepath
string
Required
This is namespace for a custom field
GET
/service/platform/content/v2.0/company/{company_id}/customfields/resource/{resource}/namespace/{namespace}/definition/{slug}
Loading...
Response
200
400
Success. Returns a custom field definition. Refer `MetaFieldDefinitionDetailResSchema` for more details.
Hide
response schema of meta field definition
resource
string
resource to which meta field is associated
name
string
name of meta field
namespace
string
namespace of meta field
slug
string
slug of meta field
description
string
description regarding meta field
type
string
data type of meta field
multi_value
boolean
flag to denote whether meta field is multi valued or not
company_id
string
| integer
Company Identifer
application_id
string
Sales channel identifier
required
boolean
whether the field is required or not
is_deleted
boolean
is meta field deleted
id
string
Unique system generated id
validations
array of Undefined Type
created_at
string
| date-time
date time at which field was created
updated_at
string
| date-time
date time at for a field's last modification
Response
Loading...
PUT

Update custom field definition

Custom fields definition can be update using this api, You can update custom field definition name and description.
Parameters
company_idpath
integer
Required
This is company id
slugpath
string
Required
This is custom field definition slug
resourcepath
string
Required
This is the type of resource for which you want to fetch custom fields eg. product, collection, customer etc.
namespacepath
string
Required
This is namespace for a custom field
Request body
type
string
data type of custom field
slug
string
slug of custom field definition
namespace
string
namespace of custom field definition
multi_value
boolean
flag to denote whether custom field is multi valued or not
name
string
name of custom field definition
description
string
description of a custom field definition
validations
array of object (FieldValidations)
validations for a custom field
Show
PUT
/service/platform/content/v2.0/company/{company_id}/customfields/resource/{resource}/namespace/{namespace}/definition/{slug}
Loading...
Response
200
400
Custom field definition updated.
Hide
response schema of custom field definition
resource
string
resource to which custom field is associated
name
string
name of custom field
namespace
string
namespace of custom field
slug
string
slug of custom field
description
string
description regarding custom field
type
string
data type of custom field
multi_value
boolean
flag to denote whether custom field is multi valued or not
company_id
string
| integer
Company Identifer
application_id
string
Sales channel identifier
required
boolean
whether the customfield is required or not
is_deleted
boolean
is custom field deleted
id
string
Unique system generated id
validations
array of object
created_at
string
| date-time
date time at which field was created
updated_at
string
| date-time
date time at for a field's last modification
Response
Loading...
DEL

Delete custom fields definition

Custom field definition and its assosiated custom fields value can be deleted using this api on the basis of definition id.
Parameters
company_idpath
integer
Required
This is company id
slugpath
string
Required
This is custom field definition slug
resourcepath
string
Required
This is the type of resource for which you want to fetch custom fields eg. product, collection, customer etc.
namespacepath
string
Required
This is namespace for a custom field
DEL
/service/platform/content/v2.0/company/{company_id}/customfields/resource/{resource}/namespace/{namespace}/definition/{slug}
Loading...
Response
200
400
Success. It will returns the message for delete successfully.
Hide
response schema for custom field delete
success
boolean
denotes the success of the delete operation
message
string
denotes the message of delete operation
Response
Loading...
GET

Get list of custom fields of given resource and resource slug

Retrieves a list of custom fields attached to a particular resource by using the resource and resource slug.
Parameters
company_idpath
integer
Required
This is company id
resourcepath
string
Required
This is the type of resource for which you want to fetch custom fields eg. product, collection, customer etc.
resource_slugpath
string
Required
This is the resource slug for which custom fields created
GET
/service/platform/content/v2.0/company/{company_id}/customfields/resource/{resource}/{resource_slug}
Loading...
Response
200
400
Success. Returns a list of custom fields. Refer `CustomFieldsResponseByResourceIdSchema` for more details.
Hide
response schema for custom field when resource slug is provided
items
array of object (CustomFieldSchema)
Show
Response
Loading...
PUT

Update custom field entries for gives resource and resource slug

You can add a custom field using this endpoint to any resource by providing the resource slug.
Parameters
company_idpath
integer
Required
This is company id
resourcepath
string
Required
This is the type of resource for which you want to fetch custom fields eg. product, collection, customer etc.
resource_slugpath
string
Required
This is the resource slug for which custom fields created
Request body
fields
array of object (CustomField)
Show
PUT
/service/platform/content/v2.0/company/{company_id}/customfields/resource/{resource}/{resource_slug}
Loading...
Response
200
400
Success. Returns a list of custom fields. Refer `CustomFieldsResponseByResourceIdSchema` for more details.
Hide
response schema for custom field when resource slug is provided
items
array of object (CustomFieldSchema)
Show
Response
Loading...
DEL

delete custom fields of given resource and resource slug

Use this API to delete the custom fields for given resource in param.
Parameters
company_idpath
integer
Required
This is company id
resourcepath
string
Required
This is the type of resource for which you want to fetch custom fields eg. product, collection, customer etc.
resource_slugpath
string
Required
This is the resource slug for which custom fields created
idsquery
string
Required
This is the ids of to filter custom fields
DEL
/service/platform/content/v2.0/company/{company_id}/customfields/resource/{resource}/{resource_slug}
Loading...
Response
200
400
Success. Returns a list of custom fields. Refer `CustomFieldsDeleteSchema` for more details.
Hide
response schema we get on delete of custom fields
success
boolean
message
string
Response
Loading...

Custom Objects

Custom objects refer to entities that are not currently present on the platform. Sellers can create these custom data structures, allowing them to define the essential custom fields according to their preferences. These custom objects are introduced to address unique data requirements that fall outside the platform's standard features.

Operations
POST
/service/platform/content/v2.0/company/{company_id}/customobjects/definition
# Create custom object definition
GET
/service/platform/content/v2.0/company/{company_id}/customobjects/definition
# Get custom object definitions
GET
/service/platform/content/v2.0/company/{company_id}/customobjects/definition/{slug}
# Get custom object definition
PUT
/service/platform/content/v2.0/company/{company_id}/customobjects/definition/{slug}
# Update custom object definition
DEL
/service/platform/content/v2.0/company/{company_id}/customobjects/definition/{slug}
# Delete custom object definition
GET
/service/platform/content/v2.0/company/{company_id}/customobjects/definition/{definition_slug}/entries
# Get list of custom objects under a certain custom object definition
POST
/service/platform/content/v2.0/company/{company_id}/customobjects/definition/{definition_slug}/entries
# Create custom object entries
GET
/service/platform/content/v2.0/company/{company_id}/customobjects/definition/{definition_slug}/entries/{slug}
# Get custom object details
DEL
/service/platform/content/v2.0/company/{company_id}/customobjects/definition/{definition_slug}/entries/{slug}
# Delete custom object
PUT
/service/platform/content/v2.0/company/{company_id}/customobjects/definition/{definition_slug}/entries/{slug}
# Update custom object details
POST
/service/platform/content/v2.0/company/{company_id}/customobjects/definition/{slug}/bulk/upload
# Bulk custom object entries upload
GET
/service/platform/content/v2.0/company/{company_id}/customobjects/definition/{slug}/bulk/download
# Initiate download for bulk custom object entries
GET
/service/platform/content/v2.0/company/{company_id}/customobjects/definition/{slug}/bulk/sample
# Download sample for custom object bulk entry
POST

Create custom object definition

Create a custom object that will have a collection of custom fields and can be used anywhere in the custom field for any resource.
Parameters
company_idpath
integer
Required
This is company id
Request body
type
string
Namespace/Slug of Custom object definition
definition_slug
string
Unique slug for a custom object definition
description
string
description of custom object definition
name
string
name of custom object
display_name_key
string
denotes which custom field to be used for displaying custom object
field_definitions
array of object (CustomObjectCustomFieldDefinitions)
list of custom field definitions belonging to this custom object definition
Show
POST
/service/platform/content/v2.0/company/{company_id}/customobjects/definition
Loading...
Response
200
400
Success. Returns the saved custom object defintion
Hide
response schema of custom object definition.
id
string
Unique system generated custom object definition id
name
string
Display name of custom object definition
type
string
Type of custom object definiton
definition_slug
string
Slug of custom object definiton
display_name_key
string
Display name of custom object definition
description
string
description of custom object definition
field_definitions
array of object (CustomFieldDefinitionDetailResSchema)
Custom fields inside custom objects
Show
Response
Loading...
GET

Get custom object definitions

Custom object definition lists can be obtained using this endpoint.
Parameters
company_idpath
integer
Required
This is company id
page_noquery
string
Required
This is the page number
page_sizequery
string
Required
This is the page size
searchquery
string
This is the search text to filter custom fields definitions
GET
/service/platform/content/v2.0/company/{company_id}/customobjects/definition
Loading...
Response
200
400
Success. Returns a list custom object definitions.
Hide
Response body schema for custom object definition
items
array of object (CustomObjectEntry)
Show
page
object (Page)
Show
Response
Loading...
GET

Get custom object definition

Custom object definitions can be fetched using their custom object definition slug.
Parameters
company_idpath
integer
Required
This is company id
slugpath
string
Required
This is custom object definition slug
GET
/service/platform/content/v2.0/company/{company_id}/customobjects/definition/{slug}
Loading...
Response
200
400
Success. It will returns the message for delete successfully.
Hide
response schema of custom object definition.
id
string
Unique system generated custom object definition id
name
string
Display name of custom object definition
type
string
Type of custom object definiton
definition_slug
string
Slug of custom object definiton
display_name_key
string
Display name of custom object definition
description
string
description of custom object definition
field_definitions
array of object (CustomFieldDefinitionDetailResSchema)
Custom fields inside custom objects
Show
Response
Loading...
PUT

Update custom object definition

Custom object definitions can be updated using this endpoint. You can update the name and description of the custom object and add more custom field definitions to the existing custom object.
Parameters
company_idpath
integer
Required
This is company id
slugpath
string
Required
This is custom object definition slug
Request body
description
string
description of custom object definiton
name
string
name of custom object definition
display_name_key
string
custom field slug which is used as a display key in
field_definitions
array of object (CustomObjectCustomFieldDefinitions)
Show
PUT
/service/platform/content/v2.0/company/{company_id}/customobjects/definition/{slug}
Loading...
Response
200
400
Custom field definition updated.
Hide
response schema of custom object definition.
id
string
Unique system generated custom object definition id
name
string
Display name of custom object definition
type
string
Type of custom object definiton
definition_slug
string
Slug of custom object definiton
display_name_key
string
Display name of custom object definition
description
string
description of custom object definition
field_definitions
array of object (CustomFieldDefinitionDetailResSchema)
Custom fields inside custom objects
Show
Response
Loading...
DEL

Delete custom object definition

Custom object definitions can be deleted using this endpoint by providing the definition ID.
Parameters
company_idpath
integer
Required
This is company id
slugpath
string
Required
This is custom object definition slug
DEL
/service/platform/content/v2.0/company/{company_id}/customobjects/definition/{slug}
Loading...
Response
200
400
Custom object definition details.
Hide
response schema when custom object definition is deleted.
success
boolean
Success status of delete custom object definition.
message
string
Response message when custom object definition is deleted.
Response
Loading...
GET

Get list of custom objects under a certain custom object definition

Custom object entries can fetch using this endpoint.
Parameters
company_idpath
integer
Required
This is company id
page_noquery
string
Required
This is the page number
page_sizequery
string
Required
This is the page size
definition_slugpath
string
Required
This is custom object definition slug
GET
/service/platform/content/v2.0/company/{company_id}/customobjects/definition/{definition_slug}/entries
Loading...
Response
200
400
Success. Returns a list of custom objects. Refer `CustomObjectsSchema` for more details.
Hide
schema of custom object entries
items
array of object (CustomObjectListItemSchema)
list of paginated custom object entries
Show
page
object (Page)
Show
Response
Loading...
POST

Create custom object entries

Custom object entries against the custom object definition can be added using this API.
Parameters
company_idpath
integer
Required
This is company id
definition_slugpath
string
Required
This is custom object definition slug
Request body
status
string
status of the custom object entry.
fields
array of object (CustomObjectEntryFieldSchemaWithoutID)
list of custom fields
Show
POST
/service/platform/content/v2.0/company/{company_id}/customobjects/definition/{definition_slug}/entries
Loading...
Response
200
400
Success. Returns a list of custom objects. Refer `CustomObjectSchema` for more details.
Hide
response schema for custom object entry
id
string
Unique system generated id
company_id
string
| integer
Identifer for a company
application_id
string
Identifer for a sales channel
status
string
Status of custom object
type
string
Slug of custom object definition
definition_slug
string
Slug for custom object definition
display_name
string
Value of custom field used for displaying custom object
fields
array of object (CustomFieldSchema)
Fields associated to the custom object
Show
Response
Loading...
GET

Get custom object details

Details of a custom object entry can be obtained using this endpoint.
Parameters
company_idpath
integer
Required
This is company id
definition_slugpath
string
Required
This is custom object definition slug
slugpath
string
Required
This is custom object entry slug
GET
/service/platform/content/v2.0/company/{company_id}/customobjects/definition/{definition_slug}/entries/{slug}
Loading...
Response
200
400
Success. Returns a custom object. Refer `CustomObjectBySlugSchema` for more details.
Hide
response schema of custom object by id
id
string
Unique system generated identifer for a Custom Object
status
string
status of Custom Object
display_name
string
Display name for the Custom Object
definition
object (CustomObjectListItemDefinitionModel)
Show
references
array of Undefined Type
Places where the custom object has been used as a custom field
slug
string
slug of custom object entry
definition_slug
string
slug of custom object definition
fields
array of object (CustomObjectFieldDefinition)
List of custom fields inside the custom object
Show
Response
Loading...
DEL

Delete custom object

Custom object entries can be deleted by providing the delete ID using this endpoint.
Parameters
company_idpath
integer
Required
This is company id
definition_slugpath
string
Required
This is custom object definition slug
slugpath
string
Required
This is custom object entry slug
DEL
/service/platform/content/v2.0/company/{company_id}/customobjects/definition/{definition_slug}/entries/{slug}
Loading...
Response
200
400
Success. It will returns the message for delete successfully.
Hide
response schema for custom field delete
success
boolean
denotes the success of the delete operation
message
string
denotes the message of delete operation
Response
Loading...
PUT

Update custom object details

Custom object entries can be updated using this endpoint.
Parameters
company_idpath
integer
Required
This is company id
definition_slugpath
string
Required
This is custom object definition slug
slugpath
string
Required
This is custom object entry slug
Request body
status
string
status of the custom object entry.
fields
array of object (CustomObjectEntryFieldSchemaWithoutID)
list of custom fields
Show
PUT
/service/platform/content/v2.0/company/{company_id}/customobjects/definition/{definition_slug}/entries/{slug}
Loading...
Response
200
400
Custom field definition created.
Hide
response schema of custom object by id
id
string
Unique system generated identifer for a Custom Object
status
string
status of Custom Object
display_name
string
Display name for the Custom Object
definition
object (CustomObjectListItemDefinitionModel)
Show
references
array of object
Places where the custom object has been used as a custom field
slug
string
slug of custom object entry
definition_slug
string
slug of custom object definition
fields
array of object (CustomObjectFieldDefinition)
List of custom fields inside the custom object
Show
Response
Loading...
POST

Bulk custom object entries upload

Custom object bulk import of bulk entries can be performed using this endpoint.
Parameters
company_idpath
integer
Required
This is company id
slugpath
string
Required
This is custom object definition slug
Request body
url
string
Full URL for the bulk operations data
total_records
integer
Total records in the upload.
POST
/service/platform/content/v2.0/company/{company_id}/customobjects/definition/{slug}/bulk/upload
Loading...
Response
200
400
Success. Returns confirmation that the upload has started
Hide
response schema of custom object entry bulk.
url
string
Signed url of csv
total_records
integer
Total no of records in csv file
Response
Loading...
GET

Initiate download for bulk custom object entries

Custom object bulk export of bulk entries can be perform using this endpoint.
Parameters
company_idpath
integer
Required
This is company id
slugpath
string
Required
This is custom object definition slug
GET
/service/platform/content/v2.0/company/{company_id}/customobjects/definition/{slug}/bulk/download
Loading...
Response
200
400
Success. Initiates bulk entries download
Hide
response schema of custom object bulk entry download initiation
message
string
message for the user
task_id
string
Identifer for a task
Response
Loading...
GET

Download sample for custom object bulk entry

Sample files for custom object bulk import can be obtained from this endpoint.
Parameters
company_idpath
integer
Required
This is company id
slugpath
string
Required
This is custom object definition slug
GET
/service/platform/content/v2.0/company/{company_id}/customobjects/definition/{slug}/bulk/sample
Loading...
Response
200
400
Success. Get headers of custom object definition
Response
Loading...